/*Copyright 2001
 *
 * htmlcodes.h
 *
 * Author: Gregory Ford greg@reddfish.co.nz
 * RTF token parser based on:
 *      rtf2html by Dmitry Porapov <dpotapov@capitalsoft.com>,
 *      based on earlier work of Chuck Shotton.
 *      distributed under BSD-style license
 * RTF token lists and hashing algorithm based on
 *      RTF Tools, Release 1.10 
 *      6 April 1994	
 *      Paul DuBois	dubois@primate.wisc.edu 
 *
 * Copying permitted under GNU licence (see COPYING)
 */ 
char * ANSI_CODES[256] = { 
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //0..7
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //8-15
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //16..23
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //24..31
"\0", "\0", "&quot;", "\0", "\0", "\0", "&amp;", "\0", //32..39
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //40..47 
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //48..55
"\0", "\0", "\0", "\0", "&lt;", "\0", "&gt;", "\0", //56..63
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //64..71
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //72..79
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //80..87
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //88..95
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //96..103
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //104..111
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //112..119
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //120..127

"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //128..135
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //136..143
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //144..151
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //152..159
"&nbsp;", "&iexcl;", "&cent;", "&pound;", "&curren;", "&yen;", "\0", "&sect;", //160..167
"&uml;", "&copy;", "&ordf;", "&laquo;", "&not", "&shy;", "&reg;", "&macr;", //168..175
"&deg;", "&plusmn;", "&sup2;", "&sup3;", "&acute;", "&micro;", "&para;", "&middot;", //176..183
"&cedil;", "&sup1;", "&ordm;", "&raquo;", "&frac14;", "&frac12;", "&frac34;", "&iquest;", //184..191
"&Agrave;", "&Aacute;", "&Acirc;", "&Atilde;", "&Auml;", "&Aring;", "&AElig;", "&Ccedil;", //192..199
"&Egrave;", "&Eacute;", "&Ecirc;", "&Euml;", "&Igrave;", "&Iacute;", "&Icirc;", "&Iuml;", //200..207
"&ETH;", "&Ntilde;", "&Ograve;", "&Oacute;", "&Ocirc;", "&Otilde;", "&Ouml;", "&times;", //208..215
"&Oslash;", "&Ugrave;", "&Uacute;", "&Ucirc;", "&Uuml;", "&Yacute;", "&THORN;", "&szlig;", //216..223
"&agrave;", "&aacute;", "&acirc;", "&atilde;", "&auml;", "&aring;", "&aelig;", "&ccedil;", //224..231
"&egrave;", "&eacute;", "&ecirc;", "&euml;", "&igrave;", "&iacute;", "&icirc;", "&iuml;", //232..239
"&eth;", "&ntilde;", "&ograve;", "&oacute;", "&ocirc;", "&otilde;", "&ouml;", "&divide;", //240..247
"&oslash;", "&ugrave;", "&uacute;", "&ucirc;", "&uuml;", "&yacute;", "&thorn;", "&yuml;"  //248..255
};

char * MAC_CODES[256] = { 
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //0..7
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //8-15
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //16..23
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //24..31
"\0", "\0", "&quot;", "\0", "\0", "\0", "&amp;", "\0", //32..39
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //40..47 
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //48..55
"\0", "\0", "\0", "\0", "&lt;", "\0", "&gt;", "\0", //56..63
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //64..71
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //72..79
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //80..87
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //88..95
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //96..103
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //104..111
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //112..119
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //120..127

"&Auml;", "&Aring;", "&Ccedil;", "&Eacute;", "&Ntilde;", "&Ouml;", "&Uuml;", "&aacute;", //128..135
"&agrave;", "&acirc;", "&auml;", "&atilde;", "&aring;", "&ccedil;", "&eacute;", "&egrave;", //136..143
"&ecirc;", "&euml;", "&iacute;", "&igrave;", "&icirc;", "&iuml;", "&ntilde;", "&oacute;", //144..151
"&ograve;", "&ocirc;", "&ouml;", "&otilde;", "&uacute;", "&ugrave;", "&ucirc;", "&uuml;", //152..159

"\0", "&deg;", "&cent;", "&pound;", "&sect;", "&middot;", "&para;", "&szlig;", //160..167
"\0", "&reg;", "&copy;", "\0", "&acute;", "&uml;", "&AElig;", "&Oslash;", //168..175
"\0", "&plusmn;", "\0", "\0", "\0", "&micro;", "\0", "\0", //176..183
"\0", "\0", "\0", "\0", "\0", "\0", "&aelig;", "&oslash;", //184..191
"&iquest;", "\0", "\0", "\0", "\0", "\0", "\0", "&laquo;", //192..199
"&raquo;", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //200..207
"\0", "\0", "\0", "\0", "\0", "\0", "&divide;", "\0", //208..215


"&yuml;", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //216..233
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //224..231
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //232..239
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //240..247
"\0", "\0", "\0", "\0", "\0", "\0", "\0", "\0", //248..255

};
